Subject: Re: bug#75626: 31.0.50; Dired misses or double-processes files when auto-revert-mode is enabled

From: Michael Heerdegen <[email-masked]>
Date: Wed, 05 Feb 2025 03:25:44 +0100

Hello Michael,

> Michael Albinus <[email-masked]> writes:
>
> Hi Tassilo,
>
> > Thanks. I'll polish the patch, and if nobody objects, I'll push it to
> > master in a couple of days.
>
> Pushed to master.

Sorry for being late, have been a bit distracted.  Allow only one
question please:

| +  (defmacro inhibit-auto-revert (&rest body)
| +    "Deactivate auto-reverting of current buffer temporarily.
| +Run BODY."
| +    (declare (indent 0) (debug ((form body) body)))

What's the purpose of this debug spec - why not just "body"?

| +       (let ((buf (and (not (memq (current-buffer) inhibit-auto-revert-buffers))
| +                       (current-buffer))))
| +         (unwind-protect
| +             (progn
| +               (when buf (add-to-list 'inhibit-auto-revert-buffers buf))
| +               ,@body)

I think at least in this part where body is inserted the variable BUF
should be uninterned for the obvious reason.  Or at least have a more
obscure name.

Michael.